Name:           gnochm
Version:        0.9.8
Release:        1%{?dist}
Summary:        CHM file viewer

Group:          Applications/Publishing
License:        GPL
URL:            http://gnochm.sourceforge.net/
Source0:        http://puzzle.dl.sf.net/gnochm/gnochm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  gettext
Requires:       python-chm gnome-python2-gconf pygtk2-libglade 
Requires:       gnome-python2-gtkhtml2

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
BuildRequires:  scrollkeeper
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: desktop-file-utils

%description
A CHM file viewer for Gnome. Features are:
  
  * Full text search
  * Bookmarks
  * Support for external ms-its links
  * Configurable support for http links 
  * Internationalisation
  * Displays HTML page source


%prep
%setup -q
iconv -f ISO8859-1 -t UTF8 < data/gnochm.1.it > gnochm.1.it.new && mv -f gnochm.1.it.new data/gnochm.1.it

%build
%configure --disable-mime-update
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

echo "MimeType=application/x-chm" >> $RPM_BUILD_ROOT%{_datadir}/applications/gnochm.desktop

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        --delete-original                                       \
        $RPM_BUILD_ROOT%{_datadir}/applications/gnochm.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    # If the schema file has ever been renamed::
    #gconftool-2 --makefile-uninstall-rule \
    #  %{_sysconfdir}/gconf/schemas/[OLDNAME].schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
killall -HUP gconfd-2 || :

scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

update-mime-database %{_datadir}/mime &> /dev/null || :

update-desktop-database &> /dev/null ||:

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi

%postun
scrollkeeper-update -q || :

update-mime-database %{_datadir}/mime &> /dev/null || :

update-desktop-database &> /dev/null ||:

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/gnochm
%{_datadir}/gnochm/
%{_datadir}/gnome/help/gnochm/
%{_datadir}/application-registry/gnochm.*
%{_datadir}/applications/fedora-gnochm.desktop
%{_datadir}/mime/packages/gnochm.xml
%{_mandir}/man*/gnochm.1*
%{_mandir}/*/man*/gnochm.1*
%{_datadir}/mime-info/gnochm.*
%{_datadir}/omf/gnochm/
%{_datadir}/pixmaps/chmfile.png
%{_datadir}/pixmaps/gnochm*.png

%changelog
* Sun Jun  4 2006 Patrice Dumas <pertusus@free.fr> 0.9.8-1
- update to 0.9.8

* Sat Apr 15 2006 Patrice Dumas <pertusus@free.fr> 0.9.7-5
- add gnome related requires (189034)

* Thu Apr 13 2006 Patrice Dumas <pertusus@free.fr> 0.9.7-4
- Add mimetype to .desktop file (188809)

* Sun Mar 12 2006 Patrice Dumas <pertusus@free.fr> 0.9.7-2
- Fedora Extras submission, loosely based on Dag.
